org.apache.cassandra.service.pager

## Class Pageable.ReadCommands

- java.lang.Object
- - org.apache.cassandra.service.pager.Pageable.ReadCommands

All Implemented Interfaces:
  Pageable

Enclosing interface:
  Pageable

    public static class Pageable.ReadCommands
    extends java.lang.Object
    implements Pageable

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

`Pageable.ReadCommands`

### Field Summary

Fields
`java.util.List<ReadCommand>` `commands`
`int` `limitForQuery`

### Constructor Summary

Constructors
Constructor and Description
`ReadCommands(java.util.List<ReadCommand> commands, int limitForQuery)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### commands

    public final java.util.List<ReadCommand> commands

#### limitForQuery

    public final int limitForQuery

### Constructor Detail

#### ReadCommands

    public ReadCommands(java.util.List<ReadCommand> commands,
                        int limitForQuery)